DictDataInfo Class Reference

`#include <DictDataInfo.h>`

Inheritance diagram for DictDataInfo:
Collaboration diagram for DictDataInfo:

## Public Member Functions

| DictDataInfo (const DictObjCont &dictObjCont)
| ~DictDataInfo ()
void | GetVersion (std::string &version)
virtual const std::vector< std::string > & | GetCatNames ()
const std::vector< std::string > & | GetItemsNames ()
bool | IsCatDefined (const std::string &catName) const
bool | IsItemDefined (const std::string &itemName)
const std::vector< std::string > & | GetCatKeys (const std::string &catName)
const std::vector< std::string > & | GetCatAttribute (const std::string &catName, const std::string &refCatName, const std::string &refAttrName)
const std::vector< std::string > & | GetItemAttribute (const std::string &itemName, const std::string &refCatName, const std::string &refAttrName)
virtual void | GetCatItemsNames (std::vector< std::string > &itemsNames, const std::string &catName)
virtual void | GetParentCifItems (std::vector< std::string > &parCifItems, const std::string &cifItemName)
Public Member Functions inherited from DataInfo
| DataInfo ()
virtual | ~DataInfo ()
virtual bool | AreAllKeyItems (const std::string &catName, const std::vector< std::string > &attribsNames)
virtual bool | IsUnknownValueAllowed (const std::string &catName, const std::string &attribName)
bool | AreItemsValuesValid (const std::string &catName, const std::vector< std::string > &attribsNames, const std::vector< unsigned int > &attribsIndices, const std::vector< bool > &allowedNullAttribs, const std::vector< std::string > &values, const Char::eCompareType compareType=Char::eCASE_SENSITIVE)
virtual bool | IsKeyItem (const std::string &catName, const std::string &attribName, const Char::eCompareType compareType=Char::eCASE_SENSITIVE)
virtual bool | MustConvertItem (const std::string &catName, const std::string &attribName)
virtual void | GetItemsTypes (std::vector< eTypeCode > &attribsTypes, const std::string &catName, const std::vector< std::string > &attribsNames)
virtual void | StandardizeEnumItem (std::string &value, const std::string &catName, const std::string &attribName)
void | GetMandatoryItems (std::vector< std::string > &mandItemsNames, const std::string &catName)
bool | IsItemMandatory (const std::string &catName, const std::string &attribName)
virtual bool | IsItemMandatory (const std::string &itemName)
virtual bool | IsSimpleDataType (const std::string &itemName)
virtual eTypeCode | _GetDataType (const std::string &itemName)
const std::vector< std::vector< std::string > > & | GetComboKeys (const std::string &catName)
std::vector< std::vector< std::vector< std::string > > > & | GetChildrenKeys (const std::vector< std::string > &parComboKey)

## Protected Attributes

const DictObjCont & | _dictObjCont

## Constructor & Destructor Documentation

## DictDataInfo()

DictDataInfo::DictDataInfo | ( | const DictObjCont & | dictObjCont | ) |

## ~DictDataInfo()

DictDataInfo::~DictDataInfo | ( |  | ) |

## Member Function Documentation

## GetCatAttribute()

const std::vector< std::string > & DictDataInfo::GetCatAttribute | ( | const std::string & | catName,
|  | const std::string & | refCatName,
|  | const std::string & | refAttrName
| ) |  |

virtual

Implements DataInfo.

## GetCatItemsNames()

virtual void DictDataInfo::GetCatItemsNames | ( | std::vector< std::string > & | itemsNames,
|  | const std::string & | catName
| ) |  |

virtual

## GetCatKeys()

const std::vector< std::string > & DictDataInfo::GetCatKeys | ( | const std::string & | catName | ) |

virtual

Implements DataInfo.

## GetCatNames()

virtual const std::vector< std::string > & DictDataInfo::GetCatNames | ( |  | ) |

virtual

Implements DataInfo.

## GetItemAttribute()

const std::vector< std::string > & DictDataInfo::GetItemAttribute | ( | const std::string & | itemName,
|  | const std::string & | refCatName,
|  | const std::string & | refAttrName
| ) |  |

virtual

Implements DataInfo.

## GetItemsNames()

const std::vector< std::string > & DictDataInfo::GetItemsNames | ( |  | ) |

virtual

Implements DataInfo.

## GetParentCifItems()

virtual void DictDataInfo::GetParentCifItems | ( | std::vector< std::string > & | parCifItems,
|  | const std::string & | cifItemName
| ) |  |

virtual

## GetVersion()

void DictDataInfo::GetVersion | ( | std::string & | version | ) |

virtual

Implements DataInfo.

## IsCatDefined()

bool DictDataInfo::IsCatDefined | ( | const std::string & | catName | ) | const

virtual

Implements DataInfo.

## IsItemDefined()

bool DictDataInfo::IsItemDefined | ( | const std::string & | itemName | ) |

virtual

Implements DataInfo.

## Member Data Documentation

## _dictObjCont

const DictObjCont& DictDataInfo::_dictObjCont

protected

The documentation for this class was generated from the following file:

- rcsb/DictDataInfo.h